{
  description = ''
    This i my basic NixOS system configuration. Feel free to reuse anything you find useful.
  '';

  inputs = {
    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-22.11";
    deploy-rs.url = "github:serokell/deploy-rs";
  };

  outputs = { self, nixpkgs, home-manager, deploy-rs, ... }@inputs:
    let
      inherit (self) outputs;
      lib = nixpkgs.lib;
      homecfg = home-manager.lib.homeManagerConfiguration;
    in {
      nixosConfigurations = {
        lkk-nix-1 = lib.nixosSystem {
          specialArgs = { inherit inputs; };
          modules = [ ./hosts/lkk-nix-1 ];
        };
      };
      homeConfigurations = {
        # Laptop
        "m3tam3re@m3-nix" = {
          homecfg = {
            extraSpecialArgs = { # pass things to the home configuration
            };
            modules = [ ./home/users/m3tam3re/m3-nix.nix ];
          };
        };
        # Company Root Server
        "m3tam3re@lkk-nix-1" = {
          homecfg = {
            extraSpecialArgs = { # pass things to the home configuration
            };
            modules = [ ./home/users/m3tam3re/lkk-nix-1.nix ];
          };
        };
      };
      deploy.nodes.lkk-nix-1 = {
        hostname = "lkk-nix-1";
        sshUser = "root";
        profiles.system = {
          user = "root";
          path = deploy-rs.lib.x86_64-linux.activate.nixos
            self.nixosConfigurations.lkk-nix-1;
        };
      };
      deploy.remoteBuild = true;
    };
}
